Page MenuHomePhabricator

Way to change word order?
Closed, DuplicatePublic

Description

While testing I was given a map to translate. I'm in awe for this feature!
I do notice that simply translating word by word just won't do - for example, translating "Atlantic Ocean" to "Atlantico Oceano" doesn't make sense in Italian, since the noun should come first.
Maybe there's already some kind of control in place that I haven't found since I didn't go too far with my test.

Event Timeline

Elitre created this task.Sep 4 2018, 9:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2018, 9:09 AM
Glrx added a subscriber: Glrx.EditedSep 6 2018, 4:34 PM

I'd close this as a dup of T201207 and T202771.

In general, search T201207 for "mare". The case mentioned there was "Ionian Sea" to "Mare Ionio". If the words are isolated, then they should be merged into one text element.

One does not want to transliterate. The map should have its words merged into translation units such as "Atlantic Ocean", and those translation units should be translated as a whole rather than word-for-word. The result is "Atlantic Ocean" becomes "Oceano Atlantico", and then the problem reduces to the line breaking of T202771.

@Glrx described the conundrum correctly. :) I'll close this as a duplicate of T202771: [8 hours] Investigate ways to handle text breaking in SVGs.

Restricted Application added a project: Community-Tech. · View Herald TranscriptDec 19 2018, 5:26 PM